%define gccver %(gcc -dumpversion |cut -d. -f-2)

%define with_alsa 1
%define alsa_ver 0.9.0rc1
%define with_arts 1

Name: tse3
Version: 0.2.5
Release: alt3

Summary: Trax Sequencer Engine
License: GPL
Group: Sound
Url: http://tse3.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://download.sourceforge.net/TSE3/%name-%version.tar.gz

%if %with_alsa
BuildPreReq: libalsa2-devel >= %alsa_ver
%endif

%if %with_arts
BuildPreReq: libarts-devel kdemultimedia-arts libalsa2-devel >= %alsa_ver
%endif

BuildPreReq: kdelibs-gcc_compiled = %gccver

BuildRequires: XFree86-libs freetype2 gcc-c++ kde-common kde-config kdelibs kdemultimedia-devel libaudiofile-devel libcups libjpeg liblcms libmng libpcre libqt3 libssl libstdc++-devel

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package -n lib%name
Summary: Trax Sequencer Engine library
Group: System/Libraries
Provides: lib%name-gcc_compiled = %gccver
Requires: kdelibs-gcc_compiled = %gccver

%if %with_alsa
Requires: libalsa2 >= %alsa_ver
%endif

%description -n lib%name
TSE3 (Trax Sequencer Engine) library.
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package -n lib%name-devel
Summary: Tse3 header files
Group: Development/C++
Requires: lib%name = %version-%release

%if %with_alsa
Requires: libalsa2-devel >= %alsa_ver
%endif

%if %with_arts
Requires: libarts-devel
# while libarts-devel does not requires libalsa2-devel
Requires: libalsa2-devel >= %alsa_ver
%endif

%description -n lib%name-devel
Tse3 (Trax Sequencer Engine) header files.

%package -n tse3play
Summary: player/converter MIDI or TSE3MDL files
Group: Sound
Requires: lib%name = %version-%release

%description -n tse3play
tse3play - play/convert music files (MIDI or TSE3MDL) using the TSE3
(Trax Sequencer Engine) library.

%define qt_ver_major 3
%define kdedir %(kde-config --prefix)
%define qtdir %_libdir/qt%qt_ver_major

%prep
%setup -q

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir

%configure \
%if ! %with_alsa
    --without-alsa \
%endif
%if ! %with_arts
    --without-arts
%endif

# SMP-incompatible build
%make

%install
%makeinstall

# Move docs in proper location
%__mkdir_p %buildroot%_docdir
%__mv %buildroot/usr/doc/%name-%version %buildroot%_docdir/%name-%version 

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_man3dir/*
%doc %_docdir/%name-%version

%files -n tse3play
%_bindir/*
%_man1dir/tse3play.*

%changelog
* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt3
- Rebuild with new QT3/KDE3

* Sat Aug 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Tue May 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- 0.2.3
- alsa2 >= 0.9.0rc1 required.

* Tue May 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt2
- rebuilt with qt3/kde3
- buildrequires updated.

* Sat Apr 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt1
- 0.1.3
- ALSA2 by default.
- aRts header detection now works (patch removed).
- buildreqires updated.

* Mon Jan 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt2
- midi patch applied (fix never stoped notes bug in OSS module).

* Tue Dec 11 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- Updated to 0.1.2, Arts support restored.

* Tue Nov 06 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.1-alt4
- small spec cleanups
- subpackage devel-static removed (we haven't static libraries yet)

* Mon Nov 5 2001 Yuri N. Sedunov <aris@altlinux.ru> alt3
- separated devel-static and tse3play packages.

* Sat Nov 3 2001 Yuri N. Sedunov <aris@altlinux.ru> alt2
- disabled arts support

* Wed Oct 31 2001 Yuri N. Sedunov <aris@altlinux.ru> alt1
- First build for Sisyphus

